Tools

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.util
Class Tools

    java.lang.Object
      org.jagatoo.util.Tools

    public class Tools

extends java.lang.Object

General utility methods.

Author:
  Marvin Froehlich (aka Qudus)

Field Summary
`static long` | `GIGA_BYTE`
`static long` | `KILO_BYTE`
`static long` | `MEGA_BYTE`
`static long` | `TERA_BYTE`

Constructor Summary
`Tools()`

Method Summary
`static int` | `compareObjects(java.lang.Comparable o1, java.lang.Comparable o2)`
`static java.lang.String` | `formatBytes(long bytes)`
`static java.lang.Number` | `getNumber(java.lang.String string)`
`static boolean` | `objectsEqual(java.lang.Object o1, java.lang.Object o2)`
`static java.lang.String` | `padLeft(int number, int length, java.lang.String padStr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KILO_BYTE

    public static final long KILO_BYTE

See Also:
  Constant Field Values

### MEGA_BYTE

    public static final long MEGA_BYTE

See Also:
  Constant Field Values

### GIGA_BYTE

    public static final long GIGA_BYTE

See Also:
  Constant Field Values

### TERA_BYTE

    public static final long TERA_BYTE

See Also:
  Constant Field Values

Constructor Detail

### Tools

    public Tools()

Method Detail

### formatBytes

    public static final java.lang.String formatBytes(long bytes)

### getNumber

    public static final java.lang.Number getNumber(java.lang.String string)

### objectsEqual

    public static final boolean objectsEqual(java.lang.Object o1,
                                             java.lang.Object o2)

### compareObjects

    public static final int compareObjects(java.lang.Comparable o1,
                                           java.lang.Comparable o2)

### padLeft

    public static final java.lang.String padLeft(int number,
                                                 int length,
                                                 java.lang.String padStr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD